package com.hotent.portal.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 
 *
 * @company 广州宏天软件股份有限公司
 * @author cola
 * @since 2021-08-26
 */
@ApiModel(value="外部接口授权对象", description="")
@TableName(value = "portal_url_permission")
public class PortalUrlPermission extends BaseModel<PortalUrlPermission> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID")
    private String id;

    @ApiModelProperty(value = "授权系统编码")
    @TableField("SYS_ID_")
    private String sysId;

    @ApiModelProperty(value = "所属模块")
    @TableField("MODULE_")
    private String module;

    @ApiModelProperty(value = "所属功能")
    @TableField("FUNCTION_")
    private String function;

    @ApiModelProperty(value = "接口描述")
    @TableField("DESCRIPTION_")
    private String description;

    @ApiModelProperty(value = "接口授权路径")
    @TableField("AUTH_URL_")
    private String authUrl;

    @TableField(value = "CREATE_TIME_",fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField("CREATE_BY_")
    private String createBy;

    @ApiModelProperty(value = "创建人组织ID")
    @TableField("CREATE_ORG_ID_")
    private String createOrgId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getSysId() {
        return sysId;
    }

    public void setSysId(String sysId) {
        this.sysId = sysId;
    }
    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }
    public String getFunction() {
        return function;
    }

    public void setFunction(String function) {
        this.function = function;
    }
    public String getAuthUrl() {
        return authUrl;
    }

    public void setAuthUrl(String authUrl) {
        this.authUrl = authUrl;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public String getCreateOrgId() {
        return createOrgId;
    }

    public void setCreateOrgId(String createOrgId) {
        this.createOrgId = createOrgId;
    }

    @Override
    protected Serializable pkVal() {
        return null;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return "PortalUrlPermission{" +
                "id='" + id + '\'' +
                ", sysId='" + sysId + '\'' +
                ", module='" + module + '\'' +
                ", function='" + function + '\'' +
                ", description='" + description + '\'' +
                ", authUrl='" + authUrl + '\'' +
                ", createTime=" + createTime +
                ", createBy='" + createBy + '\'' +
                ", createOrgId='" + createOrgId + '\'' +
                '}';
    }
}
